DIRNAME(1)

NAME
dirname - strip non-directory suffix from file name

SYNOPSIS
dirname NAME
dirname OPTION

DESCRIPTION

Print NAME with its trailing /component removed; if NAME contains no /'s, output `.' (meaning the current directory).

--help
    display this help and exit

--version
    output version information and exit

EXAMPLES

dirname /usr/bin/sort
    Output "/usr/bin".

dirname stdio.h
    Output ".".

AUTHOR
Written by David MacKenzie and Jim Meyering.

REPORTING BUGS
Report bugs to <bug-coreutils@gnu.org>.

COPYRIGHT
Copyright © 2006 Free Software Foundation, Inc.
This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for dirname is maintained as a Texinfo manual. If the info and dirname programs are properly installed at your site, the command

    info dirname

should give you access to the complete manual.